# getAccountInfo

```javascript
(async() => {
    let account_info_1 = await SOLPay.getAccountInfo(); // {...}
    let account_info_2 = await SOLPay.getAccountInfo("ACCOUNT_ADDRESS"); // {...}
})();
```

### Parameters:

* address (optional, default: connected wallet address): string - the account address with which to get the info

### Returns:

object (`{...}`) - the account info

* raw\_data: object (`{...}`) - the raw data of the account
* executable: boolean (`false`) - whether the account is executable
* lamports: number (`10000`) - the number of lamports in the account
* owner: string (`"..."`) - the owner of the account
* rentEpoch: number (`250`) - the rent epoch
* info (if `executable` is `false`): object (`{...}`) - the parsed data of the account
* program (if `executable` is `false`): string (`spl-token`) - the program of the account
* space (if `executable` is `false`): number (`150`) - the space of the account
* type (if `executable` is `false`): string (`"account"`) - the type of the account

### Throws:

* `SOL Pay SDK Fatal Error: Invalid address ${address}, and no wallet was connected. Use SOLPay.connectWallet() to connect to a Solana wallet.` - an invalid address was used, and no wallet was connected
* `SOL Pay SDK Fatal Error: No connection found. Use SOLPay.connectNetwork() to connect to the Solana network.` - could not find a connection to the Solana network
* `SOL Pay SDK Fatal Error: Connection did not respond. Use SOLPay.connectNetwork() to connect to the Solana network.` - did not receive response from Solana network


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://solpay-docs.solblaze.org/reference/sdk-reference/get-account-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
